Get Project CSVExport Issues
https://app.fossa.com/api/projects/{locator}/export-issues/csvThis endpoint returns a CSV file of all issues for the project.
Path parameters
locatorstringrequiredthe url-encoded locator of the project
Query parameters
revisionIdstringThe revisionId of the project to get issues for. If not provided, the latest revision will be used.
statusenumThe status of the issues to return. If not provided, all active issues will be returned.
activeignoredrefstringthe branch or tag to get issues for. If not provided, the default branch will be used.
ref_typeenumSpecify whether the ref is a branch or tag.
branchtagResponses
200A CSV report of all issues for the project, served as a downloadable attachment.401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
428Precondition Required - the provided revision is invaliduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/projects/%7Blocator%7D/export-issues/csvcurl --request GET \ --url 'https://app.fossa.com/api/projects/%7Blocator%7D/export-issues/csv' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredthe url-encoded locator of the project
Query params
revisionIdstringThe revisionId of the project to get issues for. If not provided, the latest revision will be used.
statusenumThe status of the issues to return. If not provided, all active issues will be returned.
refstringthe branch or tag to get issues for. If not provided, the default branch will be used.
ref_typeenumSpecify whether the ref is a branch or tag.